#include <DS3231.h>                    // Подключаем библиотеку Wire  
DS3231  rtc(SDA, SCL);                 // Инициализация DS3231

Time t;
String Hor, Min, Sec, Date, Mon, Year, day;
int Dow;

void setup () {
    Serial.begin(9600);                // Установка последовательного соединения
    rtc.begin();                         // Инициализировать rtc


//Установка даты и времени
  //rtc.setDOW(FRIDAY);     // День недели по английски MONDAY  TUESDAY  WEDNESDAY  THURSDAY  FRIDAY  SATURDAY  SUNDAY
  //rtc.setTime(9, 34, 0);     // Установка часов 12:00:00 (24часовой формат)
  //rtc.setDate(13, 11, 2020);   // Установка даты число, месяц, год
}

void loop () {

// Присваиваем переменным значения 
  t = rtc.getTime();
  Date = t.date;               // Число
  Mon = t.mon;                // Месяц
  Year = t.year;               // Год
  Hor = t.hour;               // Часы
  Min = t.min;                // Минуты
  Sec = t.sec;                // Секунды
  Dow = t.dow;                // День недели
  
// Если число меньше 10, то добавляем 0 спереди
  if (Hor.toInt() < 10)  Hor = "0" + Hor;
  if (Min.toInt() < 10)  Min = "0" + Min;
  if (Sec.toInt() < 10)  Sec = "0" + Sec;
  if (Date.toInt() < 10) Date = "0" + Date;
  if (Mon.toInt() < 10)  Mon = "0" + Mon;

//Вывод дней недели
  switch(Dow)
    {       
      case 0:
       day = "Вс";
       break;
      case 1:
       day = "Пн";
       break;
      case 2:
       day = "Вт";
       break;
      case 3:
       day = "Ср";
       break;
      case 4:
       day = "Чт";
       break;
      case 5:
       day = "Пт";
       break;
      case 6:
       day = "Сб";
       break;
      default:
       day = "Error!";
       break;
    }
  
  Serial.print(String(Date) + "/" + (Mon)+ "/" + (Year));
  Serial.print("(");
  Serial.print(day);
  Serial.print(")\t");
  Serial.println(String(Hor) + ":" + (Min)+ ":" + (Sec));
  
  delay(1000);
 
}
 
